Add basic jenkins linting to analytics-limn-wikidata-data
Closed, ResolvedPublic

Description

The repo currently contains bash and php scripts.

Having this basic linting / checks should also mean jenkins +2s things when they have +2CR
and thus jenkins actually does the merge / submit!

Restricted Application added a project: acl*sre-team. · View Herald TranscriptOct 20 2015, 2:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore created this task.Oct 20 2015, 2:31 PM
Addshore triaged this task as Normal priority.
Addshore changed Security from None to Access Request.
Addshore updated the task description. (Show Details)
Addshore edited subscribers, added: Addshore; removed: Aklapper.
Dzahn changed Security from Access Request to None.Oct 21 2015, 12:18 AM
Dzahn closed subtask Restricted Task as Invalid.
hashar added a subscriber: hashar.Oct 27 2015, 12:58 PM

Don't we want jobs for all the limn data repositories? Currently we have the following Gerrit projects:

analytics/limn-analytics-data
analytics/limn-edit-data
analytics/limn-ee-data
analytics/limn-extdist-data
analytics/limn-flow-data
analytics/limn-language-data
analytics/limn-mobile-data
analytics/limn-multimedia-data
analytics/limn-wikidata-data

Only two have jobs defined:

analytics/limn-mobile-data runs tox-jessie ie rely on a /tox.ini file at the root of the repository.

analytics/limn-language-data runs tox-flake8, same as above but only executes tox -eflake8.

Should be as easy as adding /tox.ini files in all those repositories, then in integration/config.git zuul/layout.yaml copy paste:

- name: analytics/limn- XXX REPO NAME XXX-data
  test:
   - tox-jessie
  gate-and-submit:
   - tox-jessie

That will invoke tox and whatever command have been defined in the repos.

Addshore removed a subtask: Restricted Task.Nov 2 2015, 11:52 AM

Change 250399 had a related patch set uploaded (by JanZerebecki):
Add repo analytics/limn-wikidata-data

https://gerrit.wikimedia.org/r/250399

Addshore assigned this task to JanZerebecki.

Change 250399 merged by jenkins-bot:
Add repo analytics/limn-wikidata-data

https://gerrit.wikimedia.org/r/250399

Addshore closed this task as Resolved.Nov 2 2015, 1:55 PM
Addshore moved this task from Doing to Done on the WMDE-Analytics-Engineering board.

Don't we want jobs for all the limn data repositories?

I created T117416 for that.

This repo currently contains php, sh, sql. But no phpunit tests. So for now it only has phplint running.